
# Personal Portfolio Website

## Project Overview  
This project is a **personal portfolio website** designed to showcase my skills, projects, and experience as a developer. It features dynamic sections, smooth animations, and seamless email integration for easy communication. The website serves as a personal branding tool and reflects my proficiency in modern web development technologies.

## Features  
- **Dynamic Sections**: Includes Home, About, Projects, and Experience sections.
- **Email Integration**: Users can contact me directly through the integrated **EmailJS** contact form.
- **Smooth Animations**: Used **React Framer Motion** for smooth transitions and visual enhancements.
- **Fluid Navigation**: Implemented **React Scroll** for smooth scrolling between sections.

## Tech Stack  
- **Frontend**:  
  - React  
  - Tailwind CSS  
  - Material UI  
  - React Framer Motion  
  - React Scroll  
  - Iconify  
  - EmailJS

## Installation  
Follow the steps below to set up the project locally:

1. Clone the repository:
   ```bash
   git clone https://github.com/YourUsername/portfolio-website.git
   ```
2. Navigate to the project directory:
   ```bash
   cd portfolio-website
   ```
3. Install the necessary dependencies:
   ```bash
   npm install
   ```
4. Start the development server:
   ```bash
   npm start
   ```
5. Open your browser and go to **http://localhost:3000** to view the portfolio.

## Usage  
- Navigate through the various sections to explore my work and experience.
- Use the contact form to send direct emails through **EmailJS**.

## Future Enhancements  
- Add additional sections like Blogs or Testimonials.
- Implement dark mode for better accessibility.
- Enhance SEO performance and site optimization for faster loading times.

# Live : 
 -https://personal-portfolio-website-seven-teal.vercel.app/
